# Based on the spec file generated from 
# vagrant-1.5.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name vagrant

Name: %{gem_name}
Version: 1.5.4
Release: 1%{?dist}
Summary: Build and distribute virtualized development environments
Group: Development/Languages
License: MIT
URL: http://vagrantup.com

# GitHub for whatever reason gives an URL with the filename formatted as 
# v%{version}.tar.gz but downloads a file named %{name}-%{version}.tar.gz
#
#Source0: https://github.com/mitchellh/%{gem_name}/archive/v%{version}.tar.gz
Source0: %{name}-%{version}.tar.gz

Requires: ruby(release)
Requires: ruby(rubygems) >= 1.3.6
#Requires: rubygem(bundler) => 1.5.2
#Requires: rubygem(bundler) < 1.6
Requires: rubygem(bundler) 
Requires: rubygem(childprocess) => 0.5.0
Requires: rubygem(childprocess) < 0.6
Requires: rubygem(erubis) => 2.7.0
Requires: rubygem(erubis) < 2.8
Requires: rubygem(i18n) => 0.6.0
Requires: rubygem(i18n) < 0.7
Requires: rubygem(listen) => 2.7.1
Requires: rubygem(listen) < 2.8
Requires: rubygem(log4r) => 1.1.9
Requires: rubygem(log4r) < 1.2
Requires: rubygem(log4r) < 1.1.11
Requires: rubygem(net-ssh) >= 2.6.6
Requires: rubygem(net-ssh) < 2.8.0
Requires: rubygem(net-scp) => 1.1.0
Requires: rubygem(net-scp) < 1.2
Requires: rubygem(rb-kqueue) => 0.2.0
Requires: rubygem(rb-kqueue) < 0.3
Requires: rubygem(wdm) => 0.1.0
Requires: rubygem(wdm) < 0.2
Requires: rubygem(vagrant-libvirt)
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby 
# BuildRequires: rubygem(bundler)
# BuildRequires: rubygem(contest) >= 0.1.2
# BuildRequires: rubygem(minitest) => 2.5.1
# BuildRequires: rubygem(minitest) < 2.6
# BuildRequires: rubygem(mocha) 
# BuildRequires: rubygem(rspec) => 2.14.0
# BuildRequires: rubygem(rspec) < 2.15
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Vagrant is a tool for building and distributing virtualized development
environments.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q 

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%files
%dir %{gem_instdir}
%{_bindir}/vagrant
%{gem_instdir}
#%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}

%changelog
* Fri Jun 27 2014 Adam Miller <maxamillion@gmail.com> - 1.5.4-1
- Initial package
